
Redmine - Feature #11807

Support relative URL links in Wiki pages

2012-09-10 19:54 - Rob Spearman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

By default there does not seem to be any support for relative URLs for links in Wiki pages.

A simple example would be wanting to add a link to the "New Issue" page but not wanting to hard code the domain name in the link. 

In this way the link will be relative and work no matter where the site is being hosted.  This is important for testing purposes on

different domains.

History

#1 - 2012-09-10 23:11 - Etienne Massip

you can use the following syntax:

"new issue":/projects/redmine/issues/new

 new issue

#2 - 2012-09-10 23:54 - Rob Spearman

That works.  Thanks!

#3 - 2012-09-11 18:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Thanks for the feedback.
